# Heartbeat for Enterprise Edge instances. POST https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat **Enterprise feature** Reports that an Enterprise Edge instance is alive and in use. This is related to billing and usage tracking. Reference: https://docs.getunleash.io/api/edge-instance-heartbeat ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Heartbeat for Enterprise Edge instances. version: endpoint_unstable.edgeInstanceHeartbeat paths: /api/client/edge-licensing/heartbeat: post: operationId: edge-instance-heartbeat summary: Heartbeat for Enterprise Edge instances. description: >- **Enterprise feature** Reports that an Enterprise Edge instance is alive and in use. This is related to billing and usage tracking. tags: - - subpackage_unstable parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '202': description: '#/components/schemas/edgeLicenseStateSchema' content: application/json: schema: $ref: '#/components/schemas/edgeLicenseStateSchema' '400': description: The request data does not match what we expect. content: {} components: schemas: EdgeLicenseStateSchemaEdgeLicenseState: type: string enum: - value: Valid - value: Invalid - value: Expired edgeLicenseStateSchema: type: object properties: edgeLicenseState: $ref: '#/components/schemas/EdgeLicenseStateSchemaEdgeLicenseState' description: State of the current Enterprise Edge license required: - edgeLicenseState ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat" headers = {"Authorization": ""} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat'; const options = {method: 'POST', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat") .header("Authorization", "") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/client/edge-licensing/heartbeat")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```